Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model
Class Compartment

    |
    +--ru.biosoft.access.MutableDataElementSupport
      |
      +--biouml.model.DiagramElement
            |
            +--biouml.model.Node
                  |
                  +--biouml.model.Compartment

Direct Known Subclasses:
  Diagram, EquivalentNodeGroup

public class Compartment
extends Node
implements DataCollection

General definition of the compartment as a container for nodes and edges between them.

pending DataCollectionEvents - primary vector collection is used as event source. To solve the problem we should redefine all events processing like Transformed or Derived DataCollections.

Field Summary
`final static int` | `SHAPE_ELLIPSE`
`final static int` | `SHAPE_RECTANGLE`
`final static int` | `SHAPE_ROUND_RECTANGLE`

Fields inherited from class biouml.model.Node
`background`

Constructor Summary
`Compartment(DataCollection parent, String id, Base kernel)`
`Compartment(DataCollection parent, Base kernel)`

Method Summary
`void` | `addDataCollectionListener(DataCollectionListener l)`
`DiagramElement` | `clone(Compartment newParent, String newName)`
`void` | `close()`
`boolean` | `contains(String name)`
`boolean` | `contains(DataElement de)`
`boolean` | `containsKernel(Base kernel)`
`Node` | `findNode(String id)`
`DataElement` | `get(String name)`
`String` | `getCompleteName()`
`Class` | `getDataElementType()`
`DataCollectionInfo` | `getInfo()`
`List` | `getKernelNodes(Base kernel)`
`List` | `getNameList()`
`Color` | `getShapeColor()`
`int` | `getShapeType()`
`int` | `getSize()`
`void` | `init()`
`boolean` | `isMutable()`
`Iterator` | `iterator()`
`void` | `moveNodes(int dx, int dy)` Recursively moves location of intrnal nodes.
`void` | `propagateElementChanged(DataCollection source, DataCollectionEvent primaryEvent)`
`void` | `propagateElementWillChange(DataCollection source, DataCollectionEvent primaryEvent)`
`DataElement` | `put(DataElement obj)`
`void` | `release(String dataElementName)` Do nothing because cache is not used.
`void` | `remove(String name)`
`void` | `removeDataCollectionListener(DataCollectionListener l)`
`void` | `setNotificationEnabled(boolean notificationEnabled)` Enable/disable events notification of two types: 1) PropertyChangeEvent (inhereted from Option) 2) DataCollectionEvent (encapsulated DataCollection)
`void` | `setPropagationEnabled(boolean propagationEnabled)` Enable/disable events propagation of two types: 1) PropertyChangeEvent (inhereted from Option) 2) DataCollectionEvent (encapsulated DataCollection)
`void` | `setShapeColor(Color shapeColor)`
`void` | `setShapeType(int shapeType)`

Methods inherited from class biouml.model.Node
`addEdge, edgeIterator, findCommonOrigin, getBackground, getEdges, getImage, getLocation, getShapeSize, isBackgroundHidden, isFixed, isNotResizable, removeEdge, setBackground, setFixed, setImage, setLocation, setLocation, setRelativeLocation, setShapeSize`

Methods inherited from class biouml.model.DiagramElement
`getComment, getKernel, getRole, getTitle, getView, isKernelHidden, isRoleHidden, setComment, setKernel, setRole, setTitle, setView`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Field Detail

### SHAPE_ELLIPSE

    public final static int SHAPE_ELLIPSE

### SHAPE_RECTANGLE

    public final static int SHAPE_RECTANGLE

### SHAPE_ROUND_RECTANGLE

    public final static int SHAPE_ROUND_RECTANGLE

Constructor Detail

### Compartment

    public Compartment(DataCollection parent, String id, Base kernel)

### Compartment

    public Compartment(DataCollection parent, Base kernel)

Method Detail

### addDataCollectionListener

    public void addDataCollectionListener(DataCollectionListener l)

  pending replace

### clone

    public DiagramElement clone(Compartment newParent, String newName)
                          throws java.lang.IllegalArgumentException

### close

    public void close()
                throws java.lang.Exception

  pending to think

### contains

    public boolean contains(String name)

### contains

    public boolean contains(DataElement de)

### containsKernel

    public boolean containsKernel(Base kernel)

### findNode

    public Node findNode(String id)
                   throws java.lang.Exception

### get

    public DataElement get(String name)
                     throws java.lang.Exception

### getCompleteName

    public String getCompleteName()

### getDataElementType

    public Class getDataElementType()

### getInfo

    public DataCollectionInfo getInfo()

### getKernelNodes

    public List getKernelNodes(Base kernel)

### getNameList

    public List getNameList()

### getShapeColor

    public Color getShapeColor()

### getShapeType

    public int getShapeType()

### getSize

    public int getSize()

### init

    public void init()

  pending to think

### isMutable

    public boolean isMutable()

### iterator

    public Iterator iterator()

### moveNodes

    public void moveNodes(int dx, int dy)

  Recursively moves location of intrnal nodes.

### propagateElementChanged

    public void propagateElementChanged(DataCollection source, DataCollectionEvent primaryEvent)

  todo comment

### propagateElementWillChange

    public void propagateElementWillChange(DataCollection source, DataCollectionEvent primaryEvent)

  todo comment

### put

    public DataElement put(DataElement obj)
                     throws java.lang.Exception

### release

    public void release(String dataElementName)

  Do nothing because cache is not used.

### remove

    public void remove(String name)
                 throws java.lang.Exception

### removeDataCollectionListener

    public void removeDataCollectionListener(DataCollectionListener l)

  pending replace

### setNotificationEnabled

    public void setNotificationEnabled(boolean notificationEnabled)

  Enable/disable events notification of two types: 1) PropertyChangeEvent (inhereted from Option) 2) DataCollectionEvent (encapsulated DataCollection)

### setPropagationEnabled

    public void setPropagationEnabled(boolean propagationEnabled)

  Enable/disable events propagation of two types: 1) PropertyChangeEvent (inhereted from Option) 2) DataCollectionEvent (encapsulated DataCollection)

### setShapeColor

    public void setShapeColor(Color shapeColor)

### setShapeType

    public void setShapeType(int shapeType)

Association Links

to Class org.apache.log4j.Category

to Class java.util.HashMap

to Class java.awt.Color

to Class ru.biosoft.access.DataCollection

  Primary collection.

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM